List Replicas (Pods)
List the running replicas (pods) for a service, environment, project, or team, with health status. Send the ID of the level named by type along with the IDs of every level above it.
List the running replicas (pods) for a service, environment, project, or team, with health status. Send the ID of the level named by type along with the IDs of every level above it.
Authorization
bearerAuth Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
Value in
- "team"
- "project"
- "environment"
- "service"
uuiduuiduuiduuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/replicas/list?type=team&team_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": [ { "containers": [ { "crash_loop_reason": "string", "events": [ { "count": 0, "first_seen": "string", "last_seen": "string", "message": "string", "reason": "string", "timestamp": "string", "type": "oom_killed" } ], "is_crashing": true, "kubernetes_name": "string", "last_exit_code": 0, "last_termination": "string", "pod_created_at": "2019-08-24T14:15:22Z", "ready": true, "restart_count": 0, "state": "running", "state_message": "string", "state_reason": "string" } ], "created_at": "2019-08-24T14:15:22Z", "deployment_id": "string", "environment_id": "string", "has_crashing_containers": true, "init_containers": [ { "crash_loop_reason": "string", "events": [ { "count": 0, "first_seen": "string", "last_seen": "string", "message": "string", "reason": "string", "timestamp": "string", "type": "oom_killed" } ], "is_crashing": true, "kubernetes_name": "string", "last_exit_code": 0, "last_termination": "string", "pod_created_at": "2019-08-24T14:15:22Z", "ready": true, "restart_count": 0, "state": "running", "state_message": "string", "state_reason": "string" } ], "is_terminating": true, "kubernetes_name": "string", "namespace": "string", "phase": "pending", "pod_ip": "string", "project_id": "string", "service_id": "string", "start_time": "string", "team_id": "string" } ]}Test Stored S3 Bucket POST
Check that a stored S3 bucket is still reachable with its saved credentials, by writing and deleting a probe object in it. Returns valid=false with the error when it is not. Use it when backups to the bucket fail. Reaches an external endpoint.
Get Replica (Pod) Health GET
Get the aggregated health/status of a service's replicas (pods).